### Method

# St IconInfo load_symbolic_async

#### Declaration [src]

    void
    st_icon_info_load_symbolic_async (
      StIconInfo* icon_info,
      StIconColors* colors,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously load, render and scale a symbolic icon previously looked up from the icon theme using st_icon_theme_lookup_icon().

For more details, see `st_icon_info_load_symbolic()` which is the synchronous version of this call.

#### Parameters

`colors`

  Type: `StIconColors`

  An `StIconColors` representing the foreground, error and success colors of the icon.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.